Index: code/branches/presentationHS15/data/levels/templates/HeavyCruiser.oxt
===================================================================
--- code/branches/presentationHS15/data/levels/templates/HeavyCruiser.oxt	(revision 10960)
+++ code/branches/presentationHS15/data/levels/templates/HeavyCruiser.oxt	(revision 10961)
@@ -19,6 +19,6 @@
    maxshieldhealth     = 50
    shieldabsorption    = 0.8
-   reloadrate          = 1
-   reloadwaittime      = 1
+   shieldrechargerate  = 1
+   shieldrechargewaittime = 1
 
    primaryThrust     = 300
Index: code/branches/presentationHS15/data/levels/templates/HeavyCruiserBody.oxt
===================================================================
--- code/branches/presentationHS15/data/levels/templates/HeavyCruiserBody.oxt	(revision 10960)
+++ code/branches/presentationHS15/data/levels/templates/HeavyCruiserBody.oxt	(revision 10961)
@@ -17,6 +17,6 @@
    maxshieldhealth     = 500
    shieldabsorption    = 0.8
-   reloadrate          = 1
-   reloadwaittime      = 1
+   shieldrechargerate  = 1
+   shieldrechargewaittime = 1
 
    primaryThrust     = 300
Index: code/branches/presentationHS15/data/levels/templates/ModularSpaceShipTest.oxt
===================================================================
--- code/branches/presentationHS15/data/levels/templates/ModularSpaceShipTest.oxt	(revision 10960)
+++ code/branches/presentationHS15/data/levels/templates/ModularSpaceShipTest.oxt	(revision 10961)
@@ -15,6 +15,6 @@
    maxshieldhealth     = 50
    shieldabsorption    = 0.8
-   reloadrate          = 1
-   reloadwaittime      = 1
+   shieldrechargerate  = 1
+   shieldrechargewaittime = 1
 
    primaryThrust     = 100
Index: code/branches/presentationHS15/data/levels/templates/bigship.oxt
===================================================================
--- code/branches/presentationHS15/data/levels/templates/bigship.oxt	(revision 10960)
+++ code/branches/presentationHS15/data/levels/templates/bigship.oxt	(revision 10961)
@@ -15,6 +15,6 @@
    maxshieldhealth     = 50
    shieldabsorption    = 0.8
-   reloadrate          = 1
-   reloadwaittime      = 1
+   shieldrechargerate  = 1
+   shieldrechargewaittime = 1
 
    primaryThrust     = 30
Index: code/branches/presentationHS15/data/levels/templates/enemyInvader.oxt
===================================================================
--- code/branches/presentationHS15/data/levels/templates/enemyInvader.oxt	(revision 10960)
+++ code/branches/presentationHS15/data/levels/templates/enemyInvader.oxt	(revision 10961)
@@ -15,6 +15,6 @@
    maxshieldhealth     = 10
    shieldabsorption    = 0.9
-   reloadrate          = 1
-   reloadwaittime      = 1
+   shieldrechargerate  = 1
+   shieldrechargewaittime = 1
 
    primaryThrust     = 150
@@ -77,6 +77,6 @@
    maxshieldhealth     = 20
    shieldabsorption    = 0.9
-   reloadrate          = 1
-   reloadwaittime      = 1
+   shieldrechargerate  = 1
+   shieldrechargewaittime = 1
 
    primaryThrust     = 150
Index: code/branches/presentationHS15/data/levels/templates/pickupRepresentationTemplates.oxt
===================================================================
--- code/branches/presentationHS15/data/levels/templates/pickupRepresentationTemplates.oxt	(revision 10960)
+++ code/branches/presentationHS15/data/levels/templates/pickupRepresentationTemplates.oxt	(revision 10961)
@@ -1,2 +1,79 @@
+<!-- Boost pickups: -->
+
+<Template name=smallboostpickupRepresentation>
+    <PickupRepresentation>
+        <spawner-representation>
+            <StaticEntity>
+                <attached>
+                    <Billboard position="0,0,0" colour="0.0,1.0,0.8" material="Sphere2" scale=0.1>
+                        <attached>
+                            <Billboard position="0,0,0" colour="0.0,1.0,0.8" material="Flash" scale=0.3 />
+                        </attached>
+                    </Billboard>
+                </attached>
+            </StaticEntity>
+        </spawner-representation>
+    </PickupRepresentation>
+</Template>
+
+<Template name=smallboostpickup baseclass=BoostPickup>
+  <BoostPickup
+    representation = "smallboostpickup"
+    boostrefill = 0.5
+    activationType = "immediate"
+    durationType = "once"
+  />
+</Template>
+
+<Template name=mediumboostpickupRepresentation>
+    <PickupRepresentation>
+        <spawner-representation>
+            <StaticEntity>
+                <attached>
+                    <Billboard position="0,0,0" colour="0.0,1.0,0.8" material="Sphere2" scale=0.1>
+                        <attached>
+                            <Billboard position="0,0,0" colour="0.0,1.0,0.8" material="Flash" scale=0.5 />
+                        </attached>
+                    </Billboard>
+                </attached>
+            </StaticEntity>
+        </spawner-representation>
+    </PickupRepresentation>
+</Template>
+
+<Template name=mediumboostpickup baseclass=BoostPickup>
+  <BoostPickup
+    representation = "mediumboostpickup"
+    boostrefill = 0.75
+    activationType = "immediate"
+    durationType = "once"
+  />
+</Template>
+
+<Template name=hugeboostpickupRepresentation>
+    <PickupRepresentation>
+        <spawner-representation>
+            <StaticEntity>
+                <attached>
+                    <Billboard position="0,0,0" colour="0.0,1.0,0.8" material="Sphere2" scale=0.1>
+                        <attached>
+                            <Billboard position="0,0,0" colour="0.0,1.0,0.8" material="Flash" scale=0.7 />
+                        </attached>
+                    </Billboard>
+                </attached>
+            </StaticEntity>
+        </spawner-representation>
+    </PickupRepresentation>
+</Template>
+
+<Template name=hugeboostpickup baseclass=BoostPickup>
+  <BoostPickup
+    representation = "hugeboostpickup"
+    boostrefill = 1.0
+    activationType = "immediate"
+    durationType = "once"
+  />
+</Template>
+
 <!-- Shield pickups: -->
 
@@ -189,4 +266,101 @@
 </Template>
 
+<!-- Munition pickups: -->
+
+<Template name=smallmunitionpickupRepresentation>
+    <PickupRepresentation>
+        <spawner-representation>
+            <StaticEntity>
+                <attached>
+                    <Billboard position="0,0,0" colour="0.59,0.30,0.16" material="Sphere2" scale=0.1>
+                        <attached>
+                            <Billboard position="0,0,0" colour="0.47,0.24,0.13" material="Munition" scale=0.3 />
+                        </attached>
+                    </Billboard>
+                </attached>
+            </StaticEntity>
+        </spawner-representation>
+    </PickupRepresentation>
+</Template>
+
+<Template name=smallmunitionpickup baseclass=MunitionPickup>
+  <MunitionPickup
+    representation = "smallmunitionpickup"
+    activationType = "immediate"
+    durationType = "once"
+  >
+    <munitioncontainers>
+        <MunitionContainer munitiontype="LaserMunition" munitionamount=16 magazinesamount=0 />
+        <MunitionContainer munitiontype="FusionMunition" munitionamount=8 magazinesamount=0 />
+        <MunitionContainer munitiontype="LightningMunition" munitionamount=8 magazinesamount=0 />
+    </munitioncontainers>
+  </MunitionPickup>
+</Template>
+
+<Template name=mediummunitionpickupRepresentation>
+    <PickupRepresentation>
+        <spawner-representation>
+            <StaticEntity>
+                <attached>
+                    <Billboard position="0,0,0" colour="0.59,0.30,0.16" material="Sphere2" scale=0.1>
+                        <attached>
+                            <Billboard position="0,0,0" colour="0.47,0.24,0.13" material="Munition" scale=0.5 />
+                        </attached>
+                    </Billboard>
+                </attached>
+            </StaticEntity>
+        </spawner-representation>
+    </PickupRepresentation>
+</Template>
+
+<Template name=mediummunitionpickup baseclass=MunitionPickup>
+  <MunitionPickup
+    representation = "mediummunitionpickup"
+    activationType = "immediate"
+    durationType = "once"
+  >
+    <munitioncontainers>
+        <MunitionContainer munitiontype="LaserMunition" munitionamount=32 magazinesamount=0 />
+        <MunitionContainer munitiontype="FusionMunition" munitionamount=16 magazinesamount=0 />
+        <MunitionContainer munitiontype="LightningMunition" munitionamount=16 magazinesamount=0 />        
+        <MunitionContainer munitiontype="SplitMunition" munitionamount=8 magazinesamount=0 />
+        <MunitionContainer munitiontype="RocketMunition" munitionamount=0 magazinesamount=2 />
+    </munitioncontainers>
+  </MunitionPickup></Template>
+
+<Template name=hugemunitionpickupRepresentation>
+    <PickupRepresentation>
+        <spawner-representation>
+            <StaticEntity>
+                <attached>
+                    <Billboard position="0,0,0" colour="0.59,0.30,0.16" material="Sphere2" scale=0.1>
+                        <attached>
+                            <Billboard position="0,0,0" colour="0.47,0.24,0.13" material="Munition" scale=0.7 />
+                        </attached>
+                    </Billboard>
+                </attached>
+            </StaticEntity>
+        </spawner-representation>
+    </PickupRepresentation>
+</Template>
+
+<Template name=hugemunitionpickup baseclass=MunitionPickup>
+  <MunitionPickup
+    representation = "hugemunitionpickup"
+    activationType = "immediate"
+    durationType = "once"
+  >
+    <munitioncontainers>
+        <MunitionContainer munitiontype="LaserMunition" munitionamount=64 magazinesamount=0 />
+        <MunitionContainer munitiontype="FusionMunition" munitionamount=32 magazinesamount=0 />
+        <MunitionContainer munitiontype="LightningMunition" munitionamount=32 magazinesamount=0 />        
+        <MunitionContainer munitiontype="SplitMunition" munitionamount=16 magazinesamount=0 />
+        <MunitionContainer munitiontype="RocketMunition" munitionamount=0 magazinesamount=10 />
+        <MunitionContainer munitiontype="IceMunition" munitionamount=0 magazinesamount=10 />
+        <MunitionContainer munitiontype="GravityBombMunition" munitionamount=0 magazinesamount=10 />
+    </munitioncontainers>
+  </MunitionPickup>
+</Template>
+
 <!-- Meta pickups: -->
 
@@ -196,13 +370,17 @@
             <StaticEntity>
                 <attached>
-                    <Billboard position="0,0,0" colour="0.60,0.97,0.23" material="Sphere2" scale=0.1>
-                        <attached>
-                            <Billboard position="0,0,0" colour="0.40,0.81,0.10" material="Arrow" scale=0.65 />
-                        </attached>
-                    </Billboard>
-                </attached>
-            </StaticEntity>
-        </spawner-representation>
-    </PickupRepresentation>
+                    <Billboard position="0,0,0" colour="0.6,0.⁰,0.8" material="Sphere2" scale=0.1>
+                        <attached>
+                            <Billboard position="0,0,0" colour="0.6,0.⁰,0.8" material="ArrowUp" scale=0.65 />
+                        </attached>
+                    </Billboard>
+                </attached>
+            </StaticEntity>
+        </spawner-representation>
+    </PickupRepresentation>
+</Template>
+
+<Template name=usemetapickup baseclass=MetaPickup>
+  <MetaPickup representation="use" metaType="use" />
 </Template>
 
@@ -212,13 +390,57 @@
             <StaticEntity>
                 <attached>
-                    <Billboard position="0,0,0" colour="0.95,0.10,0.05" material="Sphere2" scale=0.1>
-                        <attached>
-                            <Billboard position="0,0,0" colour="0.95,0.20,0.10" material="Arrow" scale=0.65 />
-                        </attached>
-                    </Billboard>
-                </attached>
-            </StaticEntity>
-        </spawner-representation>
-    </PickupRepresentation>
+                    <Billboard position="0,0,0" colour="0.6,0.⁰,0.8" material="Sphere2" scale=0.1>
+                        <attached>
+                            <Billboard position="0,0,0" colour="0.6,0.⁰,0.8" material="ArrowDown" scale=0.65 />
+                        </attached>
+                    </Billboard>
+                </attached>
+            </StaticEntity>
+        </spawner-representation>
+    </PickupRepresentation>
+</Template>
+
+<Template name=dropmetapickup baseclass=MetaPickup>
+  <MetaPickup representation="drop" metaType="drop" />
+</Template>
+
+<Template name=destroypickupRepresentation>
+    <PickupRepresentation>
+        <spawner-representation>
+            <StaticEntity>
+                <attached>
+                    <Billboard position="0,0,0" colour="0.6,0.⁰,0.8" material="Sphere2" scale=0.1>
+                        <attached>
+                            <Billboard position="0,0,0" colour="0.6,0.⁰,0.8" material="Splash" scale=0.65 />
+                        </attached>
+                    </Billboard>
+                </attached>
+            </StaticEntity>
+        </spawner-representation>
+    </PickupRepresentation>
+</Template>
+
+<Template name=destroymetapickup baseclass=MetaPickup>
+  <MetaPickup representation="destroy" metaType="destroy" />
+</Template>
+
+<Template name=destroycarrierpickupRepresentation>
+    <PickupRepresentation>
+        <spawner-representation>
+            <StaticEntity>
+                <attached>
+                    <Billboard position="0,0,0" colour="0.6,0.⁰,0.8" material="Sphere2" scale=0.1>
+                        <attached>
+                            <Billboard position="0,0,0" colour="0.6,0.⁰,0.8" material="Asterisk" scale=0.65 />
+                        </attached>
+                    </Billboard>
+                </attached>
+            </StaticEntity>
+        </spawner-representation>
+    </PickupRepresentation>
+</Template>
+
+<Template name=destroycarriermetapickup baseclass=MetaPickup>
+  <MetaPickup representation="destroycarrier" metaType="destroyCarrier" />
 </Template>
 
@@ -232,5 +454,5 @@
                     <Billboard position="0,0,0" colour="0.95,0.10,0.05" material="Sphere2" scale=0.1 >
                         <attached>
-                            <Billboard position="0,0,0" colour="0.30,0.30,0.30" material="damageSmall" scale=0.7 />
+                            <Billboard position="0,0,0" colour="0.70,0.10,0.10" material="Damage" scale=0.3 />
                         </attached>
                     </Billboard>
@@ -258,5 +480,5 @@
                     <Billboard position="0,0,0" colour="0.95,0.10,0.05" material="Sphere2" scale=0.1 >
                         <attached>
-                            <Billboard position="0,0,0" colour="0.30,0.30,0.30" material="damageMedium" scale=0.7 />
+                            <Billboard position="0,0,0" colour="0.70,0.10,0.10" material="Damage" scale=0.5 />
                         </attached>
                     </Billboard>
@@ -277,5 +499,5 @@
 </Template>
 
-<Template name=largedamageboostpickupRepresentation>
+<Template name=hugedamageboostpickupRepresentation>
     <PickupRepresentation>
         <spawner-representation>
@@ -284,16 +506,16 @@
                     <Billboard position="0,0,0" colour="0.95,0.10,0.05" material="Sphere2" scale=0.1 >
                         <attached>
-                            <Billboard position="0,0,0" colour="0.30,0.30,0.30" material="damageLarge" scale=0.7 />
-                        </attached>
-                    </Billboard>
-                </attached>
-            </StaticEntity>
-        </spawner-representation>
-    </PickupRepresentation>
-</Template>
-
-<Template name=largedamageboostpickup baseclass=DamageBoostPickup>
+                            <Billboard position="0,0,0" colour="0.70,0.10,0.10" material="Damage" scale=0.7 />                            
+                        </attached>
+                    </Billboard>
+                </attached>
+            </StaticEntity>
+        </spawner-representation>
+    </PickupRepresentation>
+</Template>
+
+<Template name=hugedamageboostpickup baseclass=DamageBoostPickup>
   <DamageBoostPickup
-    representation = "largedamageboostpickup"
+    representation = "hugedamageboostpickup"
     duration = 10.0
     damageMultiplier = 7.0
@@ -498,5 +720,5 @@
                     <Billboard position="0,0,0" colour="1.0,0.55,1.0" material="Sphere2" scale=0.1>
                         <attached>
-                            <Billboard position="0,0,0" colour="1.0,0.55,1.0" material="Shrink" scale=0.4 />
+                            <Billboard position="0,0,0" colour="1.0,0.55,1.0" material="Shrink" scale=0.35 />
                         </attached>
                     </Billboard>
@@ -524,5 +746,5 @@
                     <Billboard position="0,0,0" colour="1.0,0.55,1.0" material="Sphere2" scale=0.1>
                         <attached>
-                            <Billboard position="0,0,0" colour="1.0,0.55,1.0" material="Shrink" scale=0.7 />
+                            <Billboard position="0,0,0" colour="1.0,0.55,1.0" material="Shrink" scale=0.55 />
                         </attached>
                     </Billboard>
@@ -550,5 +772,5 @@
                     <Billboard position="0,0,0" colour="1.0,0.55,1.0" material="Sphere2" scale=0.1>
                         <attached>
-                            <Billboard position="0,0,0" colour="1.0,0.55,1.0" material="Shrink" scale=1.0 />
+                            <Billboard position="0,0,0" colour="1.0,0.55,1.0" material="Shrink" scale=0.75 />
                         </attached>
                     </Billboard>
@@ -609,13 +831,13 @@
         </attached>
         <collisionShapes>
-            <BoxCollisionShape position="0,0,0"      halfExtents="1, 1, 1" />
+            <SphereCollisionShape position="0,0,0" radius=5 />
         </collisionShapes>
         <weaponslots>
-            <WeaponSlot position="    0,   0,0" />
+            <WeaponSlot position="0,0,0" />
         </weaponslots>
         <weaponsets>
             <WeaponSet firemode=0 />
         </weaponsets>
-        <weapons>
+        <weaponpacks>
             <WeaponPack>
                 <links>
@@ -631,5 +853,8 @@
                 </Weapon>
             </WeaponPack>
-        </weapons>
+        </weaponpacks>
+        <munition>
+            <LaserMunition initialmagazines=2 maxmagazines=2 munitionpermagazine=10 replenishamount=1 replenishinterval=0.5/>
+        </munition>
     </Drone>
 </Template>
Index: code/branches/presentationHS15/data/levels/templates/spaceshipAssff.oxt
===================================================================
--- code/branches/presentationHS15/data/levels/templates/spaceshipAssff.oxt	(revision 10960)
+++ code/branches/presentationHS15/data/levels/templates/spaceshipAssff.oxt	(revision 10961)
@@ -15,6 +15,6 @@
    maxshieldhealth     = 50
    shieldabsorption    = 0.8
-   reloadrate          = 1
-   reloadwaittime      = 1
+   shieldrechargerate  = 1
+   shieldrechargewaittime = 1
 
    primaryThrust     = 100
Index: code/branches/presentationHS15/data/levels/templates/spaceshipAssff2.oxt
===================================================================
--- code/branches/presentationHS15/data/levels/templates/spaceshipAssff2.oxt	(revision 10960)
+++ code/branches/presentationHS15/data/levels/templates/spaceshipAssff2.oxt	(revision 10961)
@@ -15,6 +15,6 @@
    maxshieldhealth     = 150
    shieldabsorption    = 0.95
-   reloadrate          = 5
-   reloadwaittime      = 0.5
+   shieldrechargerate  = 5
+   shieldrechargewaittime = 0.5
 
    primaryThrust     = 100
@@ -37,4 +37,6 @@
    linearDamping     = 0.7
    angularDamping    = 0.9999999
+
+   explosionSound = "sounds/Explosion2.ogg"
   >
     <engines>
Index: code/branches/presentationHS15/data/levels/templates/spaceshipCollateralDamage.oxt
===================================================================
--- code/branches/presentationHS15/data/levels/templates/spaceshipCollateralDamage.oxt	(revision 10960)
+++ code/branches/presentationHS15/data/levels/templates/spaceshipCollateralDamage.oxt	(revision 10961)
@@ -16,6 +16,6 @@
    maxshieldhealth     = 50
    shieldabsorption    = 0.8
-   reloadrate          = 1
-   reloadwaittime      = 1
+   shieldrechargerate  = 1
+   shieldrechargewaittime = 1
 
    primaryThrust     = 100
Index: code/branches/presentationHS15/data/levels/templates/spaceshipDodgeRace.oxt
===================================================================
--- code/branches/presentationHS15/data/levels/templates/spaceshipDodgeRace.oxt	(revision 10960)
+++ code/branches/presentationHS15/data/levels/templates/spaceshipDodgeRace.oxt	(revision 10961)
@@ -15,6 +15,6 @@
    maxshieldhealth     = 20
    shieldabsorption    = 0.1
-   reloadrate          = 1
-   reloadwaittime      = 1
+   shieldrechargerate  = 1
+   shieldrechargewaittime = 1
 
    primaryThrust     = 150
Index: code/branches/presentationHS15/data/levels/templates/spaceshipEscort.oxt
===================================================================
--- code/branches/presentationHS15/data/levels/templates/spaceshipEscort.oxt	(revision 10960)
+++ code/branches/presentationHS15/data/levels/templates/spaceshipEscort.oxt	(revision 10961)
@@ -15,6 +15,6 @@
    maxshieldhealth     = 60
    shieldabsorption    = 0.9
-   reloadrate          = 1
-   reloadwaittime      = 1
+   shieldrechargerate  = 1
+   shieldrechargewaittime = 1
 
    primaryThrust     = 150
Index: code/branches/presentationHS15/data/levels/templates/spaceshipGhost.oxt
===================================================================
--- code/branches/presentationHS15/data/levels/templates/spaceshipGhost.oxt	(revision 10960)
+++ code/branches/presentationHS15/data/levels/templates/spaceshipGhost.oxt	(revision 10961)
@@ -15,6 +15,6 @@
    maxshieldhealth     = 150
    shieldabsorption    = 0.9
-   reloadrate          = 3
-   reloadwaittime      = 0.0
+   shieldrechargerate  = 3
+   shieldrechargewaittime = 0.0
 
    primaryThrust     = 600
Index: code/branches/presentationHS15/data/levels/templates/spaceshipHeartAttack.oxt
===================================================================
--- code/branches/presentationHS15/data/levels/templates/spaceshipHeartAttack.oxt	(revision 10960)
+++ code/branches/presentationHS15/data/levels/templates/spaceshipHeartAttack.oxt	(revision 10961)
@@ -15,6 +15,6 @@
    maxshieldhealth     = 800
    shieldabsorption    = 0.8
-   reloadrate          = 1
-   reloadwaittime      = 1
+   shieldrechargerate  = 1
+   shieldrechargewaittime = 1
 
    primaryThrust     = 40
Index: code/branches/presentationHS15/data/levels/templates/spaceshipInvader.oxt
===================================================================
--- code/branches/presentationHS15/data/levels/templates/spaceshipInvader.oxt	(revision 10960)
+++ code/branches/presentationHS15/data/levels/templates/spaceshipInvader.oxt	(revision 10961)
@@ -15,6 +15,6 @@
    maxshieldhealth     = 60
    shieldabsorption    = 0.9
-   reloadrate          = 1
-   reloadwaittime      = 1
+   shieldrechargerate  = 1
+   shieldrechargewaittime = 1
 
    primaryThrust     = 150
Index: code/branches/presentationHS15/data/levels/templates/spaceshipPirate.oxt
===================================================================
--- code/branches/presentationHS15/data/levels/templates/spaceshipPirate.oxt	(revision 10960)
+++ code/branches/presentationHS15/data/levels/templates/spaceshipPirate.oxt	(revision 10961)
@@ -15,6 +15,6 @@
    maxshieldhealth     = 40
    shieldabsorption    = 0.6
-   reloadrate          = 2
-   reloadwaittime      = 0.5
+   shieldrechargerate  = 2
+   shieldrechargewaittime = 0.5
 
    primaryThrust     = 100
Index: code/branches/presentationHS15/data/levels/templates/spaceshipRace.oxt
===================================================================
--- code/branches/presentationHS15/data/levels/templates/spaceshipRace.oxt	(revision 10960)
+++ code/branches/presentationHS15/data/levels/templates/spaceshipRace.oxt	(revision 10961)
@@ -15,6 +15,6 @@
    maxshieldhealth     = 50
    shieldabsorption    = 0.8
-   reloadrate          = 1
-   reloadwaittime      = 1
+   shieldrechargerate  = 1
+   shieldrechargewaittime = 1
 
    primaryThrust     = 100
Index: code/branches/presentationHS15/data/levels/templates/spaceshipRing.oxt
===================================================================
--- code/branches/presentationHS15/data/levels/templates/spaceshipRing.oxt	(revision 10960)
+++ code/branches/presentationHS15/data/levels/templates/spaceshipRing.oxt	(revision 10961)
@@ -15,6 +15,6 @@
    maxshieldhealth     = 60
    shieldabsorption    = 0.9
-   reloadrate          = 1
-   reloadwaittime      = 1
+   shieldrechargerate  = 1
+   shieldrechargewaittime = 1
 
    primaryThrust     = 150
Index: code/branches/presentationHS15/data/levels/templates/spaceshipSpacecruiser.oxt
===================================================================
--- code/branches/presentationHS15/data/levels/templates/spaceshipSpacecruiser.oxt	(revision 10960)
+++ code/branches/presentationHS15/data/levels/templates/spaceshipSpacecruiser.oxt	(revision 10961)
@@ -15,6 +15,6 @@
    maxshieldhealth     = 90
    shieldabsorption    = 0.9
-   reloadrate          = 1
-   reloadwaittime      = 1
+   shieldrechargerate  = 1
+   shieldrechargewaittime = 1
 
    primaryThrust     = 90
Index: code/branches/presentationHS15/data/levels/templates/spaceshipSwallow.oxt
===================================================================
--- code/branches/presentationHS15/data/levels/templates/spaceshipSwallow.oxt	(revision 10960)
+++ code/branches/presentationHS15/data/levels/templates/spaceshipSwallow.oxt	(revision 10961)
@@ -15,6 +15,6 @@
    maxshieldhealth     = 80
    shieldabsorption    = 0.75
-   reloadrate          = 1.5
-   reloadwaittime      = 0.2
+   shieldrechargerate  = 1.5
+   shieldrechargewaittime = 0.2
 
    primaryThrust     = 600;
Index: code/branches/presentationHS15/data/levels/templates/spaceshipTurret.oxt
===================================================================
--- code/branches/presentationHS15/data/levels/templates/spaceshipTurret.oxt	(revision 10960)
+++ code/branches/presentationHS15/data/levels/templates/spaceshipTurret.oxt	(revision 10961)
@@ -15,6 +15,6 @@
    maxshieldhealth     = 50
    shieldabsorption    = 0.8
-   reloadrate          = 1
-   reloadwaittime      = 1
+   shieldrechargerate  = 1
+   shieldrechargewaittime = 1
 
    primaryThrust     = 100
Index: code/branches/presentationHS15/data/levels/templates/towerdefensetower.oxt
===================================================================
--- code/branches/presentationHS15/data/levels/templates/towerdefensetower.oxt	(revision 10960)
+++ code/branches/presentationHS15/data/levels/templates/towerdefensetower.oxt	(revision 10961)
@@ -4,6 +4,6 @@
 
    	explosionchunks        = 6
-	reloadrate=10 
-	reloadwaittime=5 
+	shieldrechargerate=10 
+	shieldrechargewaittime=5 
 	collisionType="none" 
 	pitch="0" 