Index: code/branches/planetLevelHS15/data/levels/planetLevelHS15.oxw
===================================================================
--- code/branches/planetLevelHS15/data/levels/planetLevelHS15.oxw	(revision 10963)
+++ code/branches/planetLevelHS15/data/levels/planetLevelHS15.oxw	(revision 10965)
@@ -26,6 +26,6 @@
 PLANET_SCALE = 20000
 SKYBOX_SCALE = 100000
-X = 100
-Y = 100
+X = 20
+Y = 20
 CELL_SIZE = 600
 ?>
@@ -45,5 +45,5 @@
         returnString = returnString .. "<StaticEntity collisionType=\"static\" position=\"" .. (currentX*cellSize) .. "," .. (currentY*cellSize - (cellSize/2)) .. ",0\" direction=\"0,1,0\" pitch=\"0\" roll=\"0\" yaw=\"" .. orientation .. "\">  <attached> <Model position=\"0,0,0\" mesh=\"" .. houses[houseNr] .. ".mesh\" scale=\"" .. scales[houseNr] .. "\"/></attached><collisionShapes>" .. collisionShapes[houseNr] .. "</collisionShapes></StaticEntity>\n\n"
         end
-        returnString = returnString .. "<StaticEntity collisionType=\"static\" position=\"" .. (currentX*cellSize - cellSize/2) .. "," .. (currentY*cellSize) .. ",0\" direction=\"0,1,0\" pitch=\"0\" roll=\"0\" yaw=\"0\">  <attached> <Model position=\"0,0,0\" mesh=\"CityGround.mesh\" scale=\"" .. cellSize .. "\"/></attached><collisionShapes><BoxCollisionShape position=\"0,0,0\" halfExtents=\"500,0,500\"/></collisionShapes></StaticEntity>\n\n"
+        returnString = returnString .. "<StaticEntity collisionType=\"static\" position=\"" .. (currentX*cellSize - cellSize/2) .. "," .. (currentY*cellSize) .. ",0\" direction=\"0,1,0\" pitch=\"0\" roll=\"0\" yaw=\"0\">  <attached> <Model position=\"0,0,0\" mesh=\"CityGroundLamps.mesh\" scale=\"" .. cellSize .. "\"/><Model position=\"0,0,0\" mesh=\"CityGround.mesh\" scale=\"" .. cellSize .. "\"/></attached><collisionShapes><BoxCollisionShape position=\"0,0,0\" halfExtents=\"500,0,500\"/><BoxCollisionShape position=\"48.5,50.88,192\" halfExtents=\"5,50.88,5\"/><BoxCollisionShape position=\"48.5,50.88,-192\" halfExtents=\"5,50.88,5\"/><BoxCollisionShape position=\"48.5,50.88,-54\" halfExtents=\"5,50.88,5\"/><BoxCollisionShape position=\"48.5,50.88,54\" halfExtents=\"5,50.88,5\"/><BoxCollisionShape position=\"-48.5,50.88,192\" halfExtents=\"5,50.88,5\"/><BoxCollisionShape position=\"-48.5,50.88,-192\" halfExtents=\"5,50.88,5\"/><BoxCollisionShape position=\"-48.5,50.88,-54\" halfExtents=\"5,50.88,5\"/><BoxCollisionShape position=\"-48.5,50.88,54\" halfExtents=\"5,50.88,5\"/></collisionShapes></StaticEntity>\n\n"
       end
     end
@@ -57,20 +57,8 @@
     <Template link=lodtemplate_default />
   </templates>
+
   <?lua include("includes/notifications.oxi") ?>
-<Template name=PortalDefault>
-    <PortalEndPoint>
-        <attached>
-            <Model mesh="Spacegate.mesh" yaw="90"/>
-        </attached>
-    </PortalEndPoint>
-</Template>
 
-<Template name=PortalBig>
-    <PortalEndPoint>
-        <attached>
-            <Billboard material="Portals/Big" />
-        </attached>
-    </PortalEndPoint>
-</Template>
+
   <Scene
     ambientlight = "10, 10, 10"
@@ -78,5 +66,4 @@
   >
 
-<!--    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/> -->
     
     <Planet
@@ -87,5 +74,4 @@
       angularDamping="0"
       mass="5.9e21"
-      pitch="0"
       mesh="planets/earth.mesh"
       atmosphere="atmosphere1"
@@ -120,5 +106,5 @@
           </events>
         </Model>
-        <PortalEndPoint position="<?lua print(X*CELL_SIZE/2) ?>,<?lua print(Y*CELL_SIZE/2) ?>,1000" id="1" distance="40" target="Pawn" design="PortalDefault"/>
+        <PortalEndPoint position="<?lua print(X*CELL_SIZE/2) ?>,500,<?lua print(Y*CELL_SIZE/2) ?>" id="3" distance="40" target="Pawn"/>
         <Light type="point" position="0,0,0" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
     </attached>
@@ -126,8 +112,8 @@
 </StaticEntity>
 
-<SpawnPoint team=0 position="<!--<?lua print(PLANET_DISTANCE - PLANET_SCALE - 5000)?> -->0,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort direction="0,1,0" />
+<SpawnPoint team=0 position="<?lua print(PLANET_DISTANCE - PLANET_SCALE - 5000)?>,0,0" lookat="<?lua print(PLANET_DISTANCE) ?>,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort orientation="-0.4,-0.6,0.6,0.4" />
 
-<PortalEndPoint position = "<?lua print(PLANET_DISTANCE) ?>,0,0" id="2" distance=<?lua print(PLANET_SCALE)?> target="Pawn" design="PortalEndPoint"/>
-<PortalEndPoint position="<?lua print(PLANET_DISTANCE + PLANET_SCALE + 6000) ?>,0,0" id="1" distance="40" target="Pawn" design="PortalEndPoint"/>
+<PortalEndPoint position = "<?lua print(PLANET_DISTANCE) ?>,0,0" id="2" distance=<?lua print(PLANET_SCALE)?> target="Pawn"/>
+<PortalEndPoint position="<?lua print(PLANET_DISTANCE + PLANET_SCALE + 6000) ?>,0,0" id="1" distance="40" target="Pawn"/>
 
 